### Virtual Method

# Ide CodeIndexEntries next_entries_async

#### Declaration

    void
    next_entries_async (
      IdeCodeIndexEntries* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests the next set of results from the code index asynchronously. This allows implementations to possibly process data off the main thread without blocking the main loop.

Available since: | 3.32

#### Parameters

`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
`user_data` | `gpointer`
| User data for `callback`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.